libgdamm 4.99.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gnome::Gda::Config Class Reference

Configuration — Access/Management of libgda configuration. More...

Inheritance diagram for Gnome::Gda::Config:
[legend]
Collaboration diagram for Gnome::Gda::Config:
[legend]

## Public Member Functions
virtual | ~Config ()
GdaConfig* | gobj ()
| Provides access to the underlying C GObject. More...
const GdaConfig* | gobj () const
| Provides access to the underlying C GObject. More...
GdaConfig* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::SignalProxy1< void, GdaDsnInfo* > | signal_dsn_added ()
Glib::SignalProxy1< void, GdaDsnInfo* > | signal_dsn_changed ()
Glib::SignalProxy1< void, GdaDsnInfo* > | signal_dsn_removed ()
Glib::SignalProxy1< void, GdaDsnInfo* > | signal_dsn_to_be_removed ()
Glib::PropertyProxy < Glib::ustring > | property_system_filename ()
| File to use for system-wide DSN list. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_system_filename () const
| File to use for system-wide DSN list. More...
Glib::PropertyProxy < Glib::ustring > | property_user_filename ()
| File to use for per-user DSN list. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_user_filename () const
| File to use for per-user DSN list. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Config > | get ()
| Get a pointer to the global GdaConfig object. More...
static GdaDsnInfo* | get_dsn_info (const Glib::ustring& dsn_name)
| Get information about the DSN named dsn_name. More...
static bool | dsn_needs_authentication (const Glib::ustring& dsn_name)
| Tells if the data source identified as dsn_name needs any authentication. More...
static Glib::RefPtr< DataModel > | list_dsn ()
| Get a Gda::DataModel representing all the configured DSN, and keeping itself up to date with the changes in the declared DSN. More...
static Glib::RefPtr < ServerProvider > | get_provider (const Glib::ustring& provider_name)
| Get a pointer to the session-wide Gda::ServerProvider for the provider named provider_name. More...
static Glib::RefPtr< DataModel > | list_providers ()
| Get a Gda::DataModel representing all the installed database providers. More...
static int | get_nb_dsn ()
| Get the number of defined DSN. More...
static bool | can_modify_system_config ()
| Tells if the global (system) configuration can be modified (considering system permissions and settings) More...

## Protected Member Functions
| Config ()

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::Config > | wrap (GdaConfig* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Configuration — Access/Management of libgda configuration.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Config::~Config | ( |  | ) |
| virtual

Gnome::Gda::Config::Config | ( |  | ) |
| protected

## Member Function Documentation

static bool Gnome::Gda::Config::can_modify_system_config | ( |  | ) |
| static

Tells if the global (system) configuration can be modified (considering system permissions and settings)

Returns
  `true` if system-wide configuration can be modified.

static bool Gnome::Gda::Config::dsn_needs_authentication | ( | const Glib::ustring & | dsn_name | ) |
| static

Tells if the data source identified as dsn_name needs any authentication.

If a <username> and optionally a <password> are specified, they are ignored.

Parameters

  dsn_name | The name of a DSN, in the "[<username>[:<password>]@]<DSN>" format.

Returns
  `true` if an authentication is needed.

static Glib::RefPtr<Config> Gnome::Gda::Config::get | ( |  | ) |
| static

Get a pointer to the global GdaConfig object.

Returns
  A non `0` pointer to a Gda::Config.

static GdaDsnInfo* Gnome::Gda::Config::get_dsn_info | ( | const Glib::ustring & | dsn_name | ) |
| static

Get information about the DSN named dsn_name.

dsn_name's format is "[<username>[:<password>]@]<DSN>" (if <username> and optionally <password> are provided, they are ignored). Also see the gda_dsn_split() utility function.

Parameters

  dsn_name | The name of the DSN to look for.

Returns
  A pointer to read-only Gda::DsnInfo structure, or `0` if not found.

static int Gnome::Gda::Config::get_nb_dsn | ( |  | ) |
| static

Get the number of defined DSN.

Returns
  The number of defined DSN.

static Glib::RefPtr<ServerProvider> Gnome::Gda::Config::get_provider | ( | const Glib::ustring & | provider_name | ) |
| static

Get a pointer to the session-wide Gda::ServerProvider for the provider named provider_name.

The caller must not call Glib::object_unref() on the returned object.

This method may fail with a Gda::CONFIG_ERROR domain error (see the Gda::ConfigError error codes).

Parameters

  provider_name | A database provider.

Returns
  A pointer to the Gda::ServerProvider, or `0` if an error occurred.

static GType Gnome::Gda::Config::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdaConfig* Gnome::Gda::Config::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdaConfig* Gnome::Gda::Config::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdaConfig* Gnome::Gda::Config::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<DataModel> Gnome::Gda::Config::list_dsn | ( |  | ) |
| static

Get a Gda::DataModel representing all the configured DSN, and keeping itself up to date with the changes in the declared DSN.

The returned data model is composed of the following columns:

- DSN name
- Provider name
- Description
- Connection string
- Username if it exists

Returns
  A new Gda::DataModel.

static Glib::RefPtr<DataModel> Gnome::Gda::Config::list_providers | ( |  | ) |
| static

Get a Gda::DataModel representing all the installed database providers.

The returned data model is composed of the following columns:

- Provider name
- Description
- DSN parameters
- Authentication parameters
- File name of the plugin

Returns
  A new Gda::DataModel.

Glib::PropertyProxy< Glib::ustring > Gnome::Gda::Config::property_system_filename | ( |  | ) |

File to use for system-wide DSN list.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gnome::Gda::Config::property_system_filename | ( |  | ) | const

File to use for system-wide DSN list.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gnome::Gda::Config::property_user_filename | ( |  | ) |

File to use for per-user DSN list.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gnome::Gda::Config::property_user_filename | ( |  | ) | const

File to use for per-user DSN list.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::SignalProxy1< void,GdaDsnInfo* > Gnome::Gda::Config::signal_dsn_added | ( |  | ) |

Slot Prototype:
  `void on_my_dsn_added(GdaDsnInfo* info)`

Glib::SignalProxy1< void,GdaDsnInfo* > Gnome::Gda::Config::signal_dsn_changed | ( |  | ) |

Slot Prototype:
  `void on_my_dsn_changed(GdaDsnInfo* info)`

Glib::SignalProxy1< void,GdaDsnInfo* > Gnome::Gda::Config::signal_dsn_removed | ( |  | ) |

Slot Prototype:
  `void on_my_dsn_removed(GdaDsnInfo* info)`

Glib::SignalProxy1< void,GdaDsnInfo* > Gnome::Gda::Config::signal_dsn_to_be_removed | ( |  | ) |

Slot Prototype:
  `void on_my_dsn_to_be_removed(GdaDsnInfo* info)`

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::Config > wrap | ( | GdaConfig * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/config.h